#!/bin/bash

set -o nounset   ## (set -u) error exit on attempts to deref undefined variable
set -o errexit   ## (set -e) error exit if subcommand returns nonzero
set -o pipefail  ## propagate error exit down pipe
set -o errtrace  ## propagate error across time and similar commands

SCRIPT_DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"

OUT_FILE=${1}

export FINDBUGS_HOME=${SCRIPT_DIR}/../findbugs-3.0.1
. ${SCRIPT_DIR}/setcp.sh

echo CLASSPATH=${CLASSPATH}
echo FINDBUGS_HOME=${FINDBUGS_HOME}

if [ -e cfb.fbp ]; then
  rm cfb.fbp
fi

cat >cfb.fbp <<EOF
<Project projectName="CFB">
  <Jar>${WORKSPACE}/bin</Jar>
  <SrcDir>${WORKSPACE}/src</SrcDir>
</Project>
EOF

#cat cfb.fbp
cd ${SCRIPT_DIR}
bash -x ./go.sh -c ${SCRIPT_DIR}/config.properties -d cfb -u cfb -p cfb -f cfb.fbp -j ${JOB_NAME} -n jenkins_${JOB_NAME}_${BUILD_NUMBER} -o ${OUT_FILE}
