package net.jaekl.cfb.xml.messages;

import static org.junit.Assert.assertEquals;
import static org.junit.Assert.assertNotNull;

import java.io.ByteArrayInputStream;
import java.io.FileNotFoundException;
import java.io.IOException;
import java.io.UnsupportedEncodingException;

import net.jaekl.cfb.analyze.MessageMap;
import net.jaekl.cfb.xml.MessagesXmlData;

import org.junit.Test;
import org.xml.sax.InputSource;
import org.xml.sax.SAXException;

public class MessageCollectionTest {
	private final String UNDEFINED_TYPE = "ThisTypeDoesNotExist";

	@Test
	public void testGetPatternForUnknownType() throws FileNotFoundException, UnsupportedEncodingException, IOException, SAXException {
		MessageMap msgMap = new MessageMap();
		msgMap.parse(new InputSource(new ByteArrayInputStream(MessagesXmlData.XML.getBytes("UTF-8"))));
		
		MessageCollection msgColl = msgMap.getColl();
		assertNotNull(msgColl);
		
		BugPattern pat = msgColl.getPattern(UNDEFINED_TYPE);
		assertNotNull(pat);
		assertEquals(BugPattern.UNKNOWN.getId(), pat.getId());
	}
}
